## org.apache.lucene.util
Class MathUtil

    java.lang.Object
      org.apache.lucene.util.MathUtil

    public final class MathUtil

extends Object

Math static utility methods.

Method Summary
`static int` `log(long x, int base)` Returns `x <= 0 ? 0 : Math.floor(Math.log(x) / Math.log(base))`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### log

    public static int log(long x,
                          int base)

  Returns `x <= 0 ? 0 : Math.floor(Math.log(x) / Math.log(base))`

  Parameters:
    `base` - must be `> 1`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.